package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.ConfRestricaoVendaWeb;

public class RenderConfRestricaoVendaWeb implements ListitemRenderer {
	
	public void render(Listitem lstm, Object o) throws Exception {
		ConfRestricaoVendaWeb cvw = (ConfRestricaoVendaWeb) o;
		
		
		if (cvw != null) {
		Listcell lc = new Listcell(cvw.getEmpresa() == null ? "": cvw.getEmpresa().getNombempresa().toString());
		lc.setParent(lstm);
		lc = new Listcell(cvw.getValor().toString());
		lc.setParent(lstm);
		}
		
		 lstm.setAttribute("data", cvw);
		
	}

}